=== git/build_all/packaging/linux/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ --buildsystem=cmake --DSYSINSTALL_BINDINGS=ON

override_dh_auto_configure:
	dh_auto_configure --

override_dh_auto_install:
	rm -f -r $$(pwd)/debian/tmp
	mkdir $$(pwd)/debian/tmp
	mkdir $$(pwd)/debian/tmp/usr
	mkdir $$(pwd)/debian/tmp/usr/lib
	mkdir $$(pwd)/debian/tmp/usr/include
	mkdir $$(pwd)/debian/tmp/usr/include/azureiot
	cp $$(pwd)/obj-*/*.a $$(pwd)/debian/tmp/usr/lib/
	cp $$(pwd)/inc/azure_umqtt_c/* $$(pwd)/debian/tmp/usr/include/azureiot
